Package net.ontopia.persistence.proxy
Class QueryDescriptor
java.lang.Object
net.ontopia.persistence.proxy.QueryDescriptor
INTERNAL: Class used for loading and managing SQL query
declarations. It is used by the rdbms proxy implementation, but
should implement a query factory interface in the future.
-
Field Summary
Fields -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionvoidaddStatement(String[] platforms, String statement) INTERNAL: Registers the query statement for the specified platforms.protected DetachedQueryIFcreateDetachedQuery(SQLStatementIF stm, String type, boolean lookup_identities) createQuery(RDBMSAccess access, ObjectAccessIF oaccess, AccessRegistrarIF registrar, String[] platforms) INTERNAL: Creates a QueryIF instance that uses the specified storage access, object access, access registrar and platform settings for this query descriptor.createSharedQuery(StorageIF storage, AccessRegistrarIF registrar, String[] platforms) INTERNAL: Creates a QueryIF instance that uses the specified storage access and platform settings.protected SQLStatementcreateSQLStatement(StorageIF storage, String[] platforms) intINTERNAL: Gets the default fetch size.protected FieldHandlerIFgetFieldHandler(ObjectRelationalMappingIF mapping, Class klass) getName()INTERNAL: Returns the name of the query.protected FieldHandlerIF[]getParameterHandlers(ObjectRelationalMappingIF mapping, Class[] params) protected FieldHandlerIFgetSelectFieldHandler(ObjectRelationalMappingIF mapping, net.ontopia.persistence.proxy.QueryDescriptor.SelectField select) protected FieldHandlerIF[]getSelectFieldHandlers(ObjectRelationalMappingIF mapping, net.ontopia.persistence.proxy.QueryDescriptor.SelectField[] selects) getStatement(String[] platforms) INTERNAL: Gets the class type of the query parameters.getType()INTERNAL: Gets the query result type name.voidsetFetchSize(int fetchSize) INTERNAL: Sets the default fetch size.voidsetParameters(List<Class<?>> params) INTERNAL: Sets the class type of the query parameters.voidsetSelects(List<net.ontopia.persistence.proxy.QueryDescriptor.SelectField> selects) INTERNAL: Sets the selected fields.
-
Field Details
-
name
-
type
-
fetchSize
protected int fetchSize -
selects
protected net.ontopia.persistence.proxy.QueryDescriptor.SelectField[] selects -
params
-
statements
-
lookup_identities
protected boolean lookup_identities
-
-
Constructor Details
-
QueryDescriptor
-
-
Method Details
-
getName
INTERNAL: Returns the name of the query. This field is used together with named query execution. -
getType
INTERNAL: Gets the query result type name. -
getFetchSize
public int getFetchSize()INTERNAL: Gets the default fetch size. -
setFetchSize
public void setFetchSize(int fetchSize) INTERNAL: Sets the default fetch size. -
setSelects
INTERNAL: Sets the selected fields. -
setParameters
INTERNAL: Sets the class type of the query parameters. -
getStatement
INTERNAL: Gets the class type of the query parameters. -
addStatement
INTERNAL: Registers the query statement for the specified platforms. -
createQuery
public QueryIF createQuery(RDBMSAccess access, ObjectAccessIF oaccess, AccessRegistrarIF registrar, String[] platforms) INTERNAL: Creates a QueryIF instance that uses the specified storage access, object access, access registrar and platform settings for this query descriptor. -
createSQLStatement
-
createDetachedQuery
protected DetachedQueryIF createDetachedQuery(SQLStatementIF stm, String type, boolean lookup_identities) -
getSelectFieldHandlers
protected FieldHandlerIF[] getSelectFieldHandlers(ObjectRelationalMappingIF mapping, net.ontopia.persistence.proxy.QueryDescriptor.SelectField[] selects) -
getSelectFieldHandler
protected FieldHandlerIF getSelectFieldHandler(ObjectRelationalMappingIF mapping, net.ontopia.persistence.proxy.QueryDescriptor.SelectField select) -
getParameterHandlers
-
getFieldHandler
-